body {
    background-image: url("Img/Fondo.jpg");   
    background-size: cover;
    background-position: center;
    background-attachment:fixed;
    background-repeat: no-repeat;
    text-align: center;
    font-family:system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}

@media (max-width: 768px) {
    body {
        background-image: none;
          background-color:#ffecd3;
        background-position: center;
        background-repeat: no-repeat;
        background-attachment: scroll;
    }
}


h2 {
    color: palevioletred;
    text-decoration: underline;
}

h3 {
    color: palevioletred;

}

footer {
    font-weight: bold;
}

img {
    width: 190px;
    height: 190px;
    display: block;
    margin: 0 auto;
}

#titulo {
    text-align: center;
}

h1 {
    text-decoration: underline;
    color: palevioletred;
}

a{
    font-weight: bold;
    text-decoration: none;
    color: black;
}

#contacto {
    text-align: center;
}

hr {
    width: 90%;
    max-width: 750px;
    margin: 30px auto;
}

.collage {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: 10px;

    max-width: 650px;
    margin: 0 auto;

    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.20);
}

.collage img {
    width: 100%;
    height: 250px;
    object-fit: cover;

    border-radius: 10px;

    transition: transform 0.3s ease;
}

.collage img:nth-child(1):hover {
    transform: scale(1.05);
}

.collage img:nth-child(2):hover {
    transform: scale(1.05);
}

.collage img:nth-child(3):hover {
    transform: scale(1.05);
}

.collage img:nth-child(4):hover {
    transform: scale(1.05);
}

@media (max-width: 600px) {
    .collage {
        grid-template-columns: repeat(1, 1fr);
    }

    .collage img {
        height: 180px;
    }
}

.servicios {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: 25px;

    max-width: 700px;
    margin: 40px auto;
}

.servicio {
    padding: 25px;

    background: rgba(255, 255, 255, 0.8);

    border-radius: 20px;

    box-shadow: 0 10px 25px rgba(0, 0, 0, 0.15);

    transition: transform 0.3s ease;
    transition: box-shadow 0.3s ease;
}

.servicio:hover {
    transform: translateY(-8px);
    box-shadow: 0 15px 35px rgba(0, 0, 0, 0.25);
}

.servicio h3 {
    margin-top: 0;
}

@media (max-width: 600px) {

    .servicios {
        grid-template-columns: 1fr;
        padding: 15px;
    }

}

.animacion {
    opacity: 0;
    transform: translateY(80px);
    transition: opacity 1s ease, transform 1s ease;
}

.animacion.visible {
    opacity: 1;
    transform: translateY(0);
}